创建设备

命名空间:microsoft.graph

在组织中创建并注册一个新设备。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Directory.AccessAsUser.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 不支持。

HTTP 请求

POST /devices

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-type application/json

请求正文

在请求正文中,提供 device 对象的 JSON 表示形式。

响应

如果成功,此方法在响应正文中返回 201 Created 响应代码 device 对象。

示例

请求

下面是一个请求示例。

POST https://graph.microsoft.com/v1.0/devices
Content-type: application/json

{
  "accountEnabled":false,
  "alternativeSecurityIds":
  [
    {
      "type":2,
      "key":"base64Y3YxN2E1MWFlYw=="
    }
  ],
  "deviceId":"4c299165-6e8f-4b45-a5ba-c5d250a707ff",
  "displayName":"Test device",
  "operatingSystem":"linux",
  "operatingSystemVersion":"1"
}

在请求正文中,提供 device 对象的 JSON 表示形式。

响应

这是一个示例响应。注意:为提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Content-type: application/json

{
  "accountEnabled":false,
  "alternativeSecurityIds":
  [
    {
      "type":2,
      "key":"base64Y3YxN2E1MWFlYw=="
    }
  ],
  "deviceId":"4c299165-6e8f-4b45-a5ba-c5d250a707ff",
  "displayName":"Test device",
  "id": "id-value",
  "operatingSystem":"linux",
  "operatingSystemVersion":"1"
}